"use strict";
class UninstallApplicationCommand {
    constructor($devicesService, $stringParameter, $options) {
        this.$devicesService = $devicesService;
        this.$stringParameter = $stringParameter;
        this.$options = $options;
        this.allowedParameters = [this.$stringParameter];
    }
    execute(args) {
        return (() => {
            this.$devicesService.initialize({ deviceId: this.$options.device, skipInferPlatform: true }).wait();
            let action = (device) => device.applicationManager.uninstallApplication(args[0]);
            this.$devicesService.execute(action).wait();
        }).future()();
    }
}
exports.UninstallApplicationCommand = UninstallApplicationCommand;
$injector.registerCommand("device|uninstall", UninstallApplicationCommand);
