"use strict";
const Future = require("fibers/future");
class IOSNotificationService {
    awaitNotification(npc, notification, timeout) {
        let future = new Future();
        let timeoutToken = setTimeout(() => {
            detachObserver();
            future.throw(new Error(`Timeout receiving ${notification} notification.`));
        }, timeout);
        function notificationObserver(_notification) {
            clearTimeout(timeoutToken);
            detachObserver();
            future.return(_notification);
        }
        function detachObserver() {
            process.nextTick(() => npc.removeObserver(notification, notificationObserver));
        }
        npc.addObserver(notification, notificationObserver);
        return future;
    }
}
exports.IOSNotificationService = IOSNotificationService;
$injector.register("iOSNotificationService", IOSNotificationService);
